[Dell optiplex 390][SFF] Dvd drive not recognized by system

Bug #794642 reported by Marc Legris on 2011-06-08
34
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Ming Lei
Natty
High
Ming Lei
Oneiric
High
Ming Lei
Precise
Undecided
Unassigned

Bug Description

Attempting to play a DVD in the DVD drive does not result in the system attempting to play the DVD. The system will not show an icon on the desktop or pop-up the default application handler. The DVD can be heard spinning in the drive when first inserted.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-8-generic-pae 2.6.38-8.42
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
Uname: Linux 2.6.38-8-generic-pae i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 0/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: u 1151 F.... pulseaudio
 /dev/snd/pcmC0D0c: u 1151 F...m pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0x91a30000 irq 42'
   Mixer name : 'Intel CougarPoint HDMI'
   Components : 'HDA:14f150a1,102804f5,00100100 HDA:80862805,80860101,00100000'
   Controls : 22
   Simple ctrls : 11
Date: Wed Jun 8 12:10:22 2011
HibernationDevice: RESUME=UUID=e2edcf8c-51c0-4b09-b237-7ddc3f9d74da
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: Dell Inc. OptiPlex 390
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic-pae root=UUID=bd8877ba-ee97-44df-9456-cdbb10dfa6b5 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic-pae N/A
 linux-backports-modules-2.6.38-8-generic-pae N/A
 linux-firmware 1.52
RfKill:

SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/13/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: X15
dmi.board.asset.tag: 0123456
dmi.board.vendor: Dell Inc.
dmi.chassis.asset.tag: 0123456
dmi.chassis.type: 15
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrX15:bd04/13/2011:svnDellInc.:pnOptiPlex390:pvr01:rvnDellInc.:rn:rvr:cvnDellInc.:ct15:cvr:
dmi.product.name: OptiPlex 390
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.

Changed in linux (Ubuntu):
assignee: nobody → Chris Van Hoof (vanhoof)
tags: added: regression
Brad Figg (brad-figg) on 2011-06-08
Changed in linux (Ubuntu):
status: New → Confirmed
Chris Van Hoof (vanhoof) on 2011-06-20
Changed in linux (Ubuntu):
assignee: Chris Van Hoof (vanhoof) → Jeremy Kerr (jk-ozlabs)
importance: Undecided → High
Jeremy Kerr (jk-ozlabs) on 2011-06-22
Changed in linux (Ubuntu):
assignee: Jeremy Kerr (jk-ozlabs) → Ming Lei (tom-leiming)
Ming Lei (tom-leiming) wrote :

Hi Marc Legris,

Could you test DVD reading on windows to see if it can work?

From google, many guys are touched by this kind of issue and are fixed by
changing SATA port on the motherboard.

see [1]:

[1],
      - http://ubuntuforums.org/showthread.php?t=1755888
      - http://www.tomshardware.com/forum/237434-50-drive-detected

Ming Lei (tom-leiming) wrote :

Hi Marc Legris,

please set SATA drive working at AHCI mode in BIOS to see if DVD can work well.

If it may work at ahci mode, can you accept this wrt. certification?

thanks,

Ming Lei (tom-leiming) wrote :

Hi Marc Legris,

From BootDmesg.txt, over-current change happened on port 1 and 2 of "Integrated Rate Matching Hub"(2-1),
even though no any devices are connected into these two ports, not sure if the test machine is good.

Suggest you find a good one to do certification test on natty.

thanks,

Ming -- Looking into this issue, the DVD drive might be faulty. I am able to boot using this drive, but its always unable to install using the cd. This machine also only has 2 sata ports.

More info: the dvd drive does not work in other systems and a working dvd drive from another system does not work in this system.

Ming Lei (tom-leiming) wrote :

Marc, as we chatted in IRC, suggest you to set AHCI mode for sata controller in BIOS to see if it can work first.

thanks,

Ming -- I don't see any option in the BIOS to change it to AHCI mode

Ming Lei (tom-leiming) wrote :

Marc, can this DVD drive work well on windows?

BTW:
        could you post out the options for SATA in BIOS?

Ming Lei (tom-leiming) wrote :

Marc, the same issue is reported in 737388:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/737388

which does happen on the same sata controller: 8086:1c00(pci vid: pci pid)

but from 737388, we can find it will work at ahci mode.

So I suggest you to enable ahci to fix the issue for your certification purpose.

This dvd drive does work when the system has installed windows 7.

I don't see options for SATA for the DVD drive other then disabling the drive.

Ming Lei (tom-leiming) wrote :

Marc,

Thanks for your test.

As we discussed in Dublin, the SATA works at IDE compatible mode now,
but it is a sata controller and should wok at ahci mode as reported in LP 737388.
So I suggested that you can try to upgrade the BIOS to see if newer version can support
to change to AHCI mode.

Another thing, I would like to figure out how to support IDE mode if you are sure
that upstream kernel(such as 3.0-rc5) can support the DVD drive.

thanks,

Ara Pulido (ara) wrote :

Waiting on Marc's reply

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Ming -- Updated to A01 BIOS without resolving the issue, no new options appear in the BIOS for changing to AHCI mode. From bug 737388 it is unclear how to change to AHCI mode, can you help with instructions for changing the mode?

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Ming Lei (tom-leiming) wrote :

Hi Marc,

As far as I know, changing to ahci is always done in "SATA options" of BIOS, I have found
it does work at least in 4 machines of mine, including one very old machine dell D630.

If you google "Sata ahci ide", you will find sata controller should support ahci.

I don't know why BIOS of this machine doesn't provide the option of AHCI, could you query
Dell guys about how to change to AHCI?

Ming Lei (tom-leiming) wrote :

Hi Marc,

After discussion with Chris and jk, the problem may be related with intel sandy bridge bug,
many similar problems are reported before, such as below:

        https://bugs.launchpad.net/hwe-chihshang/+bug/758433

You can change sata ports to avoid the problem according to chris's suggestion in dell's machine:

     <vanhoof> Ming: physically move the sata connection from the blue ports to the black ones

Anyway, the problem can be avoided at AHCI mode if you may find options in BIOS to do it.

Swapping cables does not cause the system to see or automount dvds/cds

Ming Lei (tom-leiming) wrote :

Marc, as far as I know, several guys have reported the problem, and still no good solution
for it until now.

Could you help to test upstream kernel(3.0-rc6 or -rc7) and see if it can fix the problem?

thanks,

Ara Pulido (ara) wrote :

Waiting on Marc's input

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Currently having issues installing the image, can't seem to install via PXE booting, usb or cd.

Looks like the hdd was the issue, I've replaced it and installed 3.0-rc7 with no changes.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu Natty):
status: New → Confirmed
Robert Hrovat (robi-hipnos) wrote :

I ordered 20 of those machines at work and received them today. We still use 10.04 LTS. Soon I've learned there is no way to install Ubuntu on these machines since hard drive is not visible!!!

I've been traying different things but no luck. Is there any other possible workaround to make it work? Otherwise I have 20 large bricks which I can't use!!!

Christian (christianf) wrote :

Hi,
As the Dell Optiplex 390 is using Intel H61 Chipset it's not possible to set it to AHCI. Check the datasheet at http://www.intel.com/content/www/us/en/chipsets/6-chipset-c200-chipset-datasheet.html - page 51.

@robert: This bug is about a not recognized dvd-drive, not the hdd.

Robert Hrovat (robi-hipnos) wrote :

Christian. In my case, Ubuntu 10.04 does not see nor HDD not DVD, but 11.04 see HDD but not DVD.
Before I confirmed ordering, I remember these machines were marked as Linux/Ubuntu compatible, otherwise I would not place an order.

Ara Pulido (ara) wrote :

Robert, this machines are only certified for 10.10 (pre-installed only) and 11.04:
http://www.ubuntu.com/certification/hardware/201101-7165:201101-7166:201101-7167

Robert Hrovat (robi-hipnos) wrote :

I see that now. But it can't be certified since DVD is not visible with 11.04... Something is wrong either with certification system or Dell changed a whole lot of things in these machines.

nshapter (nshapter-yahoo) wrote :

Working with Altiris to image new Dell Optiplex 390's (using linux PE based on linux-2.6.26.7) here:

I have spent quite a bit of time troubleshooting this, and it appears that sata controller is not supported by any current linux drivers.

It's an intel ... from the XP chipset driver files:

Intel(R) 6 Series/C200 Series Chipset Family
2nd generation Intel(R) Core(TM) processor family

Looking at Intel's site there doesn't seem to be open source drivers for this chipset yet.

-Nick Shapter

Download full text (3.6 KiB)

I have reported the bug on upstream as 40592, see the link:

   https://bugzilla.kernel.org/show_bug.cgi?id=40592

On Sat, Aug 6, 2011 at 1:19 AM, nshapter <email address hidden> wrote:
> Working with Altiris to image new Dell Optiplex 390's (using linux PE
> based on linux-2.6.26.7) here:
>
> I have spent quite a bit of time troubleshooting this, and it appears
> that sata controller is not supported by any current linux drivers.
>
> It's an intel ... from the XP chipset driver files:
>
> Intel(R) 6 Series/C200 Series Chipset Family
> 2nd generation Intel(R) Core(TM) processor family
>
> Looking at Intel's site there doesn't seem to be open source drivers for
> this chipset yet.
>
> -Nick Shapter
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/794642
>
> Title:
>  [Dell optiplex 390][SFF] Dvd drive not recognized by system
>
> Status in “linux” package in Ubuntu:
>  Confirmed
> Status in “linux” source package in Natty:
>  Confirmed
>
> Bug description:
>  Attempting to play a DVD in the DVD drive does not result in the
>  system attempting to play the DVD. The system will not show an icon on
>  the desktop or pop-up the default application handler. The DVD can be
>  heard spinning in the drive when first inserted.
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: linux-image-2.6.38-8-generic-pae 2.6.38-8.42
>  ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
>  Uname: Linux 2.6.38-8-generic-pae i686
>  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
>  Architecture: i386
>  ArecordDevices:
>   **** List of CAPTURE Hardware Devices ****
>   card 0: PCH [HDA Intel PCH], device 0: CONEXANT Analog [CONEXANT Analog]
>     Subdevices: 0/1
>     Subdevice #0: subdevice #0
>  AudioDevicesInUse:
>   USER        PID ACCESS COMMAND
>   /dev/snd/controlC0:  u          1151 F.... pulseaudio
>   /dev/snd/pcmC0D0c:   u          1151 F...m pulseaudio
>  CRDA: Error: [Errno 2] No such file or directory
>  Card0.Amixer.info:
>   Card hw:0 'PCH'/'HDA Intel PCH at 0x91a30000 irq 42'
>     Mixer name : 'Intel CougarPoint HDMI'
>     Components : 'HDA:14f150a1,102804f5,00100100 HDA:80862805,80860101,00100000'
>     Controls      : 22
>     Simple ctrls  : 11
>  Date: Wed Jun  8 12:10:22 2011
>  HibernationDevice: RESUME=UUID=e2edcf8c-51c0-4b09-b237-7ddc3f9d74da
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
>  IwConfig:
>   lo        no wireless extensions.
>
>   eth0      no wireless extensions.
>  MachineType: Dell Inc. OptiPlex 390
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic-pae root=UUID=bd8877ba-ee97-44df-9456-cdbb10dfa6b5 ro quiet splash vt.handoff=7
>  RelatedPackageVersions:
>   linux-restricted-modules-2.6.38-8-generic-pae N/A
>   linux-backports-modules-2.6.38-8-generic-pae  N/A
>   linux-firmware                                1.52
>  RfKill:
>
>  SourcePackage: linux
>  UpgradeStatus: No upgrade log present (probably fresh install)
>  dmi.bios.date: 04/13/2011
>  dmi.bios.vendor: Dell Inc.
>  dmi.bios.ve...

Read more...

Robert Hrovat (robi-hipnos) wrote :

Ming, great for upstream report. But you should mention that also HDD is not visible, not only DVD drive.

Ming Lei (tom-leiming) wrote :

On Mon, Aug 8, 2011 at 3:36 PM, Robert Hrovat <email address hidden> wrote:
> Ming, great for upstream report. But you should mention that also HDD is
> not visible, not only DVD drive.

Robert, but Marc's test indicated HDD is visible and only DVD driver can't
be recognized on 3.0-rc7.

Robert Hrovat (robi-hipnos) wrote :

Oh, I just cheked it again. I'm still using Ubuntu 10.04. HDD is indeed visible if I boot with 11.04 (USB) image while DVD is not.

Robert Hrovat (robi-hipnos) wrote :

Doing some more experiments. Booting with latest 10.04.03 boot image I see HDD and DVD. This image has kernel 2.6.32-33 (original LTS boot image has 2.6.32-21). Now I have to figure out how to replace netboot image kernel with thise one.

Ming Lei (tom-leiming) wrote :

Robert, it is great to hear the news, thanks for the findings.

If you are interested in looking for the root cause, you may
try to use 'git bisect' to find which commit make both your HDD
and DVD workable. Even you can find which commit does make
DVD not workable in natty tree.

Here is the 10.10 tree and gitweb:
          git://kernel.ubuntu.com/ubuntu/ubuntu-lucid.git
          http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-lucid.git;a=summary

BTW: unfortunately, I have no the machine and can't do the bisect by
myself.

On Mon, Aug 8, 2011 at 8:22 PM, Robert Hrovat <email address hidden> wrote:
> Doing some more experiments. Booting with latest 10.04.03 boot image I
> see HDD and DVD. This image has kernel 2.6.32-33 (original LTS boot
> image has 2.6.32-21). Now I have to figure out how to replace netboot
> image kernel with thise one.

Robert Hrovat (robi-hipnos) wrote :

Ming, I have no idea how to use that.

As for now, I can confirm that Ubuntu 10.04.3 with kernel 2.6.32-33 is working properly with HDD and DVD.

Interesting parts from dmesg:

[ 0.521986] libata version 3.00 loaded.
[ 0.595837] ata_piix 0000:00:1f.2: version 2.13
[ 0.595848] ata_piix 0000:00:1f.2: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[ 0.595853] ata_piix 0000:00:1f.2: MAP [ P0 P2 P1 P3 ]
[ 0.748022] ata_piix 0000:00:1f.2: setting latency timer to 64
[ 0.748083] scsi0 : ata_piix
[ 0.748150] scsi1 : ata_piix
[ 0.748177] ata1: SATA max UDMA/133 cmd 0x4110 ctl 0x4100 bmdma 0x40d0 irq 18
[ 0.748182] ata2: SATA max UDMA/133 cmd 0x40f0 ctl 0x40e0 bmdma 0x40d8 irq 18
[ 0.748207] ata_piix 0000:00:1f.5: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[ 0.748212] ata_piix 0000:00:1f.5: MAP [ P0 -- P1 -- ]
[ 0.903967] ata_piix 0000:00:1f.5: SCR access via SIDPR is available but doesn't work
[ 0.903973] ata_piix 0000:00:1f.5: setting latency timer to 64
[ 0.903998] scsi2 : ata_piix
[ 0.904033] scsi3 : ata_piix
[ 0.904054] ata3: SATA max UDMA/133 cmd 0x40b0 ctl 0x40a0 bmdma 0x4070 irq 18
[ 0.904055] ata4: SATA max UDMA/133 cmd 0x4090 ctl 0x4080 bmdma 0x4078 irq 18
[ 2.096056] ata1.01: failed to resume link (SControl 0)
[ 2.100054] ata2.01: failed to resume link (SControl 0)
[ 2.252082] ata1.00: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[ 2.252094] ata1.01: SATA link down (SStatus 0 SControl 0)
[ 2.256063] ata2.00: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[ 2.256077] ata2.01: SATA link down (SStatus 0 SControl 0)
[ 2.256088] ata2.01: link offline, clearing class 3 to NONE
[ 2.260496] ata1.00: ATA-8: ST3250312AS, JC47, max UDMA/133
[ 2.260500] ata1.00: 488397168 sectors, multi 16: LBA48 NCQ (depth 0/32)
[ 2.276486] ata1.00: configured for UDMA/133
[ 2.276576] scsi 0:0:0:0: Direct-Access ATA ST3250312AS JC47 PQ: 0 ANSI: 5
[ 2.280703] ata2.00: ATAPI: TSSTcorp DVD+/-RW TS-L633J, D500, max UDMA/100
[ 2.312705] ata2.00: configured for UDMA/100
[ 2.380761] Write protecting the kernel read-only data: 1848k
[ 2.647209] EXT4-fs (sda2): mounted filesystem with ordered data mode

Ming Lei (tom-leiming) wrote :

Marc,

Ata maintainer Tejun on upstream kernel has paid attention to
the bug, and he hopes to get the kernel log after changing another optical
driver or try the drive on another controller, so could you help to do the test
and post the kernel log on 3.0-rc1(already installed in the machine)?

See comment #1 and comment #5 in the link below for Tejun's comment:

       https://bugzilla.kernel.org/show_bug.cgi?id=40592

thanks,

Ming Lei (tom-leiming) wrote :

Also both HDD. and DVD. can be recognized by 2.6.32-longterm kernel tree:

http://git.kernel.org/?p=linux/kernel/git/longterm/linux-2.6.32.y.git;a=summary

Robert Norton (rjnorton) wrote :

One thing to consider is that the Optiplex 390 Small Form Factor motherboard may be different than the other members of the series. I just got a SFF, and could not load 11.04 (no media found), but I was able to load 10.04.

Ming Lei (tom-leiming) wrote :

Marc,

Good news, the patch below has been verified that it can fix the problem.

            https://bugzilla.kernel.org/attachment.cgi?id=69612
            https://bugzilla.kernel.org/show_bug.cgi?id=40592

I will test the patch on our 390 certification machine this evening(GMT +8).
See you tomorrow.

thanks,

Robert Hrovat (robi-hipnos) wrote :

Will this patch land in other Ubuntu kernels? Currently only 2.6.32 (longterm) works properly.

Ming Lei (tom-leiming) wrote :

I have tested the patch(https://bugzilla.kernel.org/attachment.cgi?id=69612)
against 3.1-rc3, and found it does fix the problem. The DVD can be recognized
successfully with the patch.

On Tue, Aug 23, 2011 at 3:19 PM, Robert Hrovat <email address hidden> wrote:
> Will this patch land in other Ubuntu kernels? Currently only 2.6.32
> (longterm) works properly.

Yes, of course. The final version of the patch will be ported into current
maintaining releases, such as natty, ...

thanks,

Chris Van Hoof (vanhoof) on 2011-09-12
tags: added: blocks-hwcert-enablement
Changed in linux (Ubuntu Natty):
assignee: nobody → Ming Lei (tom-leiming)
importance: Undecided → High
Ming Lei (tom-leiming) wrote :

some progress in upstream:

http://marc.info/?t=131528297300002&r=1&w=2

Alan cox NACKed the patch submitted by Tejun

Changed in linux (Ubuntu Oneiric):
status: Confirmed → Fix Committed
Ming Lei (tom-leiming) wrote :

SRU Justification:

Impact:
       - without the patch, DVD drive can't be recognized on Dell
         optiplex 390.
Fix:
       - After applying the patch, DVD drive can be recognized well
         on Dell optiplex 390.?field.comment=SRU Justification:

The attachment "0001-ata-make-DVD-drive-recognisable-on-systems-with-Inte.patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
tags: added: rls-mgr-o-tracking
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.0.0-12.19

---------------
linux (3.0.0-12.19) oneiric; urgency=low

  [ Alex Bligh ]

  * SAUCE: (drop after v3.1) net/netfilter/nf_conntrack_netlink.c: fix Oops
    on container destroy
    - LP: #843892

  [ Andy Whitcroft ]

  * [Config] standardise on HZ=250
  * SAUCE: headers_install: fix #include "..." usage for userspace
    - LP: #824377
  * make module-inclusion selection retain the left overs
  * add a new linux-image-extras package for virtual

  [ edwin_rong ]

  * SAUCE: Staging: add driver for Realtek RTS5139 cardreader
    - LP: #824273

  [ Greg Kroah-Hartman ]

  * SAUCE: staging: rts5139: add vmalloc.h to some files to fix the build.
    - LP: #824273

  [ Jesse Sung ]

  * SAUCE: Unregister input device only if it is registered
    - LP: #839238

  [ Keng-Yu Lin ]

  * [Config] Enable CONFIG_RTS5139=m on i386/amd64
    - LP: #824273

  [ Leann Ogasawara ]

  * SAUCE: x86: reboot: Make Dell Optiplex 990 use reboot=pci
    - LP: #768039
  * SAUCE: x86: reboot: Make Dell Latitude E6220 use reboot=pci
    - LP: #838402

  [ Ming Lei ]

  * SAUCE: ata: make DVD drive recognisable on systems with Sandybridge CPT
    chipset
    - LP: #794642

  [ Paolo Pisati ]

  * [Config] Compile-in vfat support for armel
    - LP: #853783

  [ Randy Dunlap ]

  * SAUCE: staging: fix rts5139 depends & build
    - LP: #824273

  [ Tim Gardner ]

  * [Config] Fix binary-% build target
  * SAUCE: (drop after 3.0.0) OMAP3 and 4 hwmod I2C units only allow 16 bit
    access
    - LP: #852225

  [ Upstream Kernel Changes ]

  * hfsplus: Fix kfree of wrong pointers in hfsplus_fill_super() error path
    - LP: #854987
  * rt2x00: Serialize TX operations on a queue.
    - LP: #855239
 -- Leann Ogasawara <email address hidden> Wed, 14 Sep 2011 06:14:30 -0700

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released

Some upstream discussion is still ongoing, see below:

[1], http://marc.info/?t=131665670300001&r=1&w=2

Looks like the story is not over, and much more intel chipsets are
reported to be involved to the bug, Heasley[1] found the below intel
sata chipsets have the same problem:

       1c00, 1c01 (6 Series/Cougar Point)
       1d00 (Patsburg)
       1e00, 1e01 (Panther Point)

thanks,
--
Ming Lei

Launchpad Janitor (janitor) wrote :
Download full text (10.3 KiB)

This bug was fixed in the package linux - 3.1.0-1.1

---------------
linux (3.1.0-1.1) precise; urgency=low

  [ Andiry Xu ]

  * SAUCE: (drop during 3.2 merge) xHCI: AMD isoc link TRB chain bit quirk
    - LP: #872811

  [ Andy Whitcroft ]

  * Revert "ubuntu: compcache -- follow changes to bd_claim/bd_release"
    - LP: #832694
  * Revert "ubuntu: compcache -- version 0.5.3"
    - LP: #832694
  * [Config] standardise CONFIG_NETFILTER_XT_TARGET_TCPOPTSTRIP=m
  * [Config] Enable CONFIG_MACVTAP=m
    - LP: #822601
  * record the compiler in the ABI and check for inconsistant builds
  * [Config] move ECRYPT_FS back to =y for all architectures
    - LP: #827197
  * [Config] enable CONFIG_DRM_VMWGFX=m
    - LP: #698009
  * [Config] re-fix ECRYPT_FS=y
    - LP: #827197
  * enforcer -- ensure we have CONFIG_ECRYPT_FS=y
    - LP: #827197
  * [Config] dropping compcache configuration options
  * [Config] standardise on HZ=250
  * SAUCE: headers_install: fix #include "..." usage for userspace
    - LP: #824377
  * make module-inclusion selection retain the left overs
  * add a new linux-image-extras package for virtual

  [ Colin Watson ]

  * Deliver more Atheros, Ralink, and iwlagn NIC drivers to d-i

  [ edwin_rong ]

  * SAUCE: Staging: add driver for Realtek RTS5139 cardreader
    - LP: #824273

  [ Greg Kroah-Hartman ]

  * SAUCE: staging: rts5139: add vmalloc.h to some files to fix the build.
    - LP: #824273

  [ Jesse Sung ]

  * SAUCE: Unregister input device only if it is registered
    - LP: #839238

  [ Jiri Kosina ]

  * SAUCE: HID: add MacBookAir4, 2 to hid_have_special_driver[]

  [ Joshua V. Dillon ]

  * SAUCE: HID: add support for MacBookAir4,2 keyboard.

  [ Kees Cook ]

  * [Config] enable and enforce SECCOMP_FILTER on x86

  [ Keng-Yu Lin ]

  * [Config] Enable CONFIG_RTS5139=m on i386/amd64
    - LP: #824273

  [ Leann Ogasawara ]

  * Revert "ubuntu: overlayfs -- ovl: make lower mount read-only"
  * Revert "ubuntu: overlayfs -- fs: limit filesystem stacking depth"
  * Revert "ubuntu: overlayfs -- ovl: improve stack use of lookup and
    readdir"
  * Revert "ubuntu: overlayfs -- ovl: fix overlayfs over overlayfs"
  * Revert "ubuntu: overlayfs -- overlayfs: implement show_options"
  * Revert "ubuntu: overlayfs -- overlayfs: add statfs support"
  * Revert "ubuntu: overlayfs -- overlay filesystem"
  * Revert "ubuntu: overlayfs -- overlay: overlay filesystem documentation"
  * Revert "SAUCE: ARM: OMAP: Add macros for comparing silicon revision"
  * Revert "SAUCE: OMAP: DSS2: check for both cpu type and revision, rather
    than just revision"
  * Revert "SAUCE: OMAP: DSS2: enable hsclk in dsi_pll_init for OMAP36XX"
  * Revert "ubuntu: fsam7400 disable driver"
    - LP: #876030
  * rebase to v3.1-rc1
  * [Config] updateconfigs after rebase to v3.1-rc1
  * rebase to v3.1-rc2
  * [Config] Updateconfigs after rebase to v3.1-rc2
  * ubuntu: Yama - update calls to generic_permission() and
    inode->i_op->permission()
  * ubuntu: ndiswrapper -- remove netdev_priv macro
  * ubuntu: aufs -- Temporarily disable due to build failure
  * [Config] Diable INTEL_MID_PTI on armel
  * [Config] Temporarily disable CONFIG_FTMAC100 on armel
  * [Conf...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Herton R. Krzesinski (herton) wrote :

The patch for this bug was reworked to handle more cases, and thus is awaiting verification that the kernel 3.0.0-13.21 in -proposed continues to work. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-oneiric' to 'verification-done-oneiric'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-oneiric
Ming Lei (tom-leiming) wrote :

On Fri, Oct 21, 2011 at 3:58 AM, Herton R. Krzesinski
<email address hidden> wrote:
> The patch for this bug was reworked to handle more cases, and thus is
> awaiting verification that the kernel 3.0.0-13.21 in -proposed continues
> to work. Please test the kernel and update this bug with the results. If
> the problem is solved, change the tag 'verification-needed-oneiric' to
> 'verification-done-oneiric'.
>
> If verification is not done by one week from today, this fix will be
> dropped from the source code, and this bug will be closed.

Marc, please help to verify the kernel 3.0.0-13.21. I can't login to
the machine any more.

thanks
--
Ming Lei

marcatq (marc-qcontinuum) wrote :
Download full text (4.0 KiB)

Ming,

I'm not real sure how to verify the kernel. I recently upgraded to
11.10 and the DVD seems to work fine now. Let me know if there's
anything I can do to help.

Thanks,
Marc

On Mon, Oct 24, 2011 at 4:04 AM, Ming Lei <email address hidden> wrote:
> On Fri, Oct 21, 2011 at 3:58 AM, Herton R. Krzesinski
> <email address hidden> wrote:
>> The patch for this bug was reworked to handle more cases, and thus is
>> awaiting verification that the kernel 3.0.0-13.21 in -proposed continues
>> to work. Please test the kernel and update this bug with the results. If
>> the problem is solved, change the tag 'verification-needed-oneiric' to
>> 'verification-done-oneiric'.
>>
>> If verification is not done by one week from today, this fix will be
>> dropped from the source code, and this bug will be closed.
>
> Marc, please help to verify the kernel 3.0.0-13.21. I can't login to
> the machine any more.
>
> thanks
> --
> Ming Lei
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/794642
>
> Title:
>  [Dell optiplex 390][SFF] Dvd drive not recognized by system
>
> Status in “linux” package in Ubuntu:
>  Fix Released
> Status in “linux” source package in Natty:
>  Confirmed
> Status in “linux” source package in Oneiric:
>  Fix Released
> Status in “linux” source package in Precise:
>  Fix Released
>
> Bug description:
>  Attempting to play a DVD in the DVD drive does not result in the
>  system attempting to play the DVD. The system will not show an icon on
>  the desktop or pop-up the default application handler. The DVD can be
>  heard spinning in the drive when first inserted.
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: linux-image-2.6.38-8-generic-pae 2.6.38-8.42
>  ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
>  Uname: Linux 2.6.38-8-generic-pae i686
>  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
>  Architecture: i386
>  ArecordDevices:
>   **** List of CAPTURE Hardware Devices ****
>   card 0: PCH [HDA Intel PCH], device 0: CONEXANT Analog [CONEXANT Analog]
>     Subdevices: 0/1
>     Subdevice #0: subdevice #0
>  AudioDevicesInUse:
>   USER        PID ACCESS COMMAND
>   /dev/snd/controlC0:  u          1151 F.... pulseaudio
>   /dev/snd/pcmC0D0c:   u          1151 F...m pulseaudio
>  CRDA: Error: [Errno 2] No such file or directory
>  Card0.Amixer.info:
>   Card hw:0 'PCH'/'HDA Intel PCH at 0x91a30000 irq 42'
>     Mixer name : 'Intel CougarPoint HDMI'
>     Components : 'HDA:14f150a1,102804f5,00100100 HDA:80862805,80860101,00100000'
>     Controls      : 22
>     Simple ctrls  : 11
>  Date: Wed Jun  8 12:10:22 2011
>  HibernationDevice: RESUME=UUID=e2edcf8c-51c0-4b09-b237-7ddc3f9d74da
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
>  IwConfig:
>   lo        no wireless extensions.
>
>   eth0      no wireless extensions.
>  MachineType: Dell Inc. OptiPlex 390
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic-pae root=UUID=bd8877ba-ee97-44df-9456-cdbb10dfa6b5 ro quiet splash vt.h...

Read more...

Ming Lei (tom-leiming) wrote :

Hi,

On Tue, Oct 25, 2011 at 10:49 AM, marcatq <email address hidden> wrote:
> Ming,
>
> I'm not real sure how to verify the kernel.  I recently upgraded to
> 11.10 and the DVD seems to work fine now.  Let me know if there's

The bug should be fixed in Ubuntu-3.0.0-13. If you are sure DVD works fine
on 3.0.0-13 but not works on previous kernel release, then the bug is
verified to be fixed in the Ubuntu-3.0.0-13.

Also you should make sure that you have put your SATA at IDE or compatible
mode and not at AHCI mode in BIOS setting before doing the test.

thanks,
--
Ming Lei

DVDs are now recognized by the system after install the proposed kernel.

tags: added: verification-done-oneiric
removed: verification-needed-oneiric
Ming Lei (tom-leiming) on 2011-11-15
Changed in linux (Ubuntu Natty):
status: Confirmed → Fix Committed
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for Natty in -proposed solves the problem (2.6.38-13.53). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-natty' to 'verification-done-natty'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-natty

Kernel update resolves this issue in natty

tags: added: verification-done-natty
removed: verification-needed-natty
Ara Pulido (ara) wrote :

This does not block certification anymore.

Chris, Anthony do you think the Natty SRU is worth the effort?

tags: added: apport-bugblocks-hwcert-enablement
removed: apport-bug blocks-hwcert blocks-hwcert-enablement
tags: added: apport-bug blocks-hwcert-enablement
removed: apport-bugblocks-hwcert-enablement
Ming Lei (tom-leiming) on 2011-12-01
Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
Chris Van Hoof (vanhoof) wrote :

Moving the natty task back to Fix Commited as this is actually in the current natty-proposed kernel (2.6.38-13.53)

Changed in linux (Ubuntu Natty):
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-13.53

---------------
linux (2.6.38-13.53) natty-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #897320

  [ Upstream Kernel Changes ]

  * cifs, freezer: add wait_event_freezekillable and have cifs use it
    - LP: #24330
  * Fixup trivial checkpatch warning
    - LP: #24330
  * Fix build break when freezer not configured
    - LP: #24330
  * PM / Freezer: Reimplement wait_event_freezekillable using
    freezer_do_not_count/freezer_count
    - LP: #24330
  * crypto: ghash - Avoid null pointer dereference if no key is set
    - LP: #887299
    - CVE-2011-4081
  * ata_piix: make DVD Drive recognisable on systems with Intel Sandybridge
    chipsets(v2)
    - LP: #737388, #782389, #794642
  * drm/i915: fix CB tuning check for ILK+
    - LP: #891031
  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * hfs: add sanity check for file name length, CVE-2011-4330
    - LP: #894374
    - CVE-2011-4330
 -- Brad Figg <email address hidden> Mon, 28 Nov 2011 09:48:40 -0800

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.